Bug 1128106 - Query Guide: DSL and non-indexed querying
Summary: Query Guide: DSL and non-indexed querying
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 6.3.1
Assignee: gsheldon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 10:13 UTC by Radim Vansa
Modified: 2014-09-24 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 14:11:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Radim Vansa 2014-08-08 10:13:10 UTC
Infinispan can be queried through DSL queries in both library and remote mode, but all the documentation is scoped just for remote querying. Also, non-indexed querying that is available for DSL queries only is not documented.

Requested changes will be described in comments (the documentation update has to be split into several iteration).

Comment 2 Radim Vansa 2014-08-08 10:29:37 UTC
Take whole section 6.4 and place it as top-level section before Remote Querying. Add the warning from chapter 6 "The Infinispan Query DSL described in this chapter are Technology Preview and not supported in JBoss Data Grid." to the beginning of the new chapter.

Move the text under table in 6.1: "JBoss Data Grid also includes indexless queries, which do not require a configured index and make everything easily searchable. However, indexless queries are only available with the new Query DSL for both the remote and embedded DSL-based queries (see Section 6.4.2, “Enabling Infinispan Query DSL-based Queries”). The Hibernate Search/Lucene-based API cannot use indexless queries. "

to beginning of the new chapter.

In 1.1, fix the link about indexless querying to point to the new chapter.

In 1.4, change the paragraph:

"The Query module transparently indexes every added, updated, or removed cache entry. Indexing is mandatory to be able to find entries."

to

"When indexing is set up, the Query module transparently indexes every added, updated, or removed cache entry. Indices improve performance of queries, though induce additional overhead during updates. For index-less querying refer to chapter (6.4 moved to top level)"

Comment 5 Radim Vansa 2014-08-18 10:04:24 UTC
6.1

"A query is created with the assistance of the QueryFactory instance, which is obtained from the per-cache SearchManager. Each QueryFactory instance is bound to the same cache instance as the SearchManager, otherwise it is a stateless and thread-safe object that can be used for creating multiple parallel queries."

update to:

"A query is created with the assistance of the QueryFactory instance, which is obtained using Search.getQueryFactory(). Each QueryFactory instance is bound to the one cache instance and it is a stateless and thread-safe object that can be used for creating multiple parallel queries. "

6.2. "Enabling Infinispan Query DSL-based Queries" -> "6.2. Enabling Infinispan Query DSL-based Queries in Library Mode"

"indexing enabled for caches (optional)." -> "Indexing enabled and configured for caches (optional). See section 2.4. Configure Indexing for details."

"As an alternative to .jar files, the Maven dependency can be used:"

Remove the sentence above and config excerpt and replace with following:

"If Maven is used for dependency management, infinispan-query-dsl.jar is automatically included by infinispan-query.jar."

Remove the further two examples.

6.3.

"Once Infinispan Query DSL-based queries have been enabled, obtain a QueryFactory from the SearchManager in order to run a DSL-based query." ->

"Once Infinispan Query DSL-based queries have been enabled, obtain a QueryFactory from the Search in order to run a DSL-based query."

"Obtain a QueryFactory as follows:" -> "In Library mode, obtain a QueryFactory as follows:"

And below the code excerpt add 

"When using Remote Querying in client-server mode, the Search object resides in package org.infinispan.client.hotrod. See section 7.2, example 7.1 for details."

7.1
"There are two types of querying available in Red Hat JBoss Data Grid - Embedded querying and Remote querying. The following table is a feature comparison between Embedded querying and Remote querying."

"In Embedded mode, both Lucene Query-based and DSL querying is available. In Remote Client-Server mode, only Remote Querying using DSL is available. The following table is a feature comparison between Lucene Query-based querying, Embedded DSL and Remote Querying."

Rename column Embedded Querying na Lucene Query, add middle column Embedded DSL Query. Copy contents for Embedded DSL from Remote Querying but set Data Storage Format to Java objects.

7.3.1, example 7.2: could you enable code highlighting?

Comment 10 gsheldon 2014-09-22 23:56:44 UTC
Setting Needinfo flag for Radim.

Radim could you please let us know if there are any further changes required for this bug?

Thanks.

Comment 11 Radim Vansa 2014-09-23 06:52:16 UTC
No more changes required.

Comment 12 Misha H. Ali 2014-09-24 14:11:39 UTC
This bug's contents/fixes are now available on https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.